Bug 69708 - regexec() used even when configure can't find it
Summary: regexec() used even when configure can't find it
Status: RESOLVED FIXED
Alias: None
Product: PulseAudio
Classification: Unclassified
Component: build-system (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: pulseaudio-bugs
QA Contact: pulseaudio-bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-23 13:05 UTC by Pierre Ossman
Modified: 2013-12-06 11:33 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
0001-core-util-check-that-we-actually-have-regexec-before.patch (862 bytes, text/plain)
2013-09-23 13:05 UTC, Pierre Ossman
Details
updated patch (961 bytes, text/plain)
2013-11-29 15:02 UTC, Peter Meerwald
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre Ossman 2013-09-23 13:05:26 UTC
Created attachment 86364 [details]
0001-core-util-check-that-we-actually-have-regexec-before.patch

See attached patch.
Comment 1 Peter Meerwald 2013-11-29 15:01:17 UTC
pulseaudio seems to check if HAVE_REGEX_H or HAVE_PCREPOSIX_H is #defined in other places

what platforms fail to have working regex?

I'm suggesting an updated patch
Comment 2 Peter Meerwald 2013-11-29 15:02:14 UTC
Created attachment 90000 [details]
updated patch
Comment 3 Tanu Kaskinen 2013-12-06 11:33:07 UTC
Thanks Pierre and Peter, I applied the fix now (Peter's version): http://cgit.freedesktop.org/pulseaudio/pulseaudio/commit/?id=345de08f2bd91f48ac83464b62c7129e00fac4e6


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.